Redmine - Defect #5066

db:reset not readding default admin account
2010-03-13 17:20 - Jason Trahan

Status: Closed Start date: 2010-03-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Database Estimated time: 0.00 hour

Target version:

Resolution: Wont fix Affected version:

Description

When | run the command "rake db:reset" it is not readding the default admin account.

History

#1 - 2010-03-13 18:28 - Jean-Philippe Lang

- Category set to Database

#2 - 2018-01-13 09:05 - Go MAEDA

Please use db:migrate:reset instead. It creates "admin" account and built-in groups (Anonymous, Non-member).

Those objects are created during the migration process. db:reset recreates tables from db/schema.rb but doesn't run any migrations. On the other
hand, db:migrate:reset runs all migrations after dropping the database.

#3 - 2018-01-14 03:36 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

It is the expected behavior. Closing this issue.
